Uses of Class
org.alfresco.rest.model.RestProcessModel
-
Packages that use RestProcessModel Package Description org.alfresco.rest.model org.alfresco.rest.requests org.alfresco.rest.requests.workflowAPI -
-
Uses of RestProcessModel in org.alfresco.rest.model
Methods in org.alfresco.rest.model that return RestProcessModel Modifier and Type Method Description RestProcessModelRestProcessModelsCollection. getProcessModelByProcessDefId(java.lang.String processDefinitionId)RestProcessModelRestProcessModel. onModel()Methods in org.alfresco.rest.model that return types with arguments of type RestProcessModel Modifier and Type Method Description ModelAssertion<RestProcessModel>RestProcessModel. and()ModelAssertion<RestProcessModel>RestProcessModel. assertThat()DSL for assertion on this rest model -
Uses of RestProcessModel in org.alfresco.rest.requests
Methods in org.alfresco.rest.requests that return RestProcessModel Modifier and Type Method Description RestProcessModelProcesses. addProcess(java.lang.String processDefinitionKey, org.alfresco.utility.model.UserModel assignee, boolean sendEmailNotifications, org.alfresco.dataprep.CMISUtil.Priority priority)Starts new process using POST /processesRestProcessModelProcesses. addProcessWithBody(java.lang.String postBody)Starts new process with given input body using POST /processesRestProcessModelProcesses. getProcess()Retrieves the process identified by processId using GET /processes/{processId} -
Uses of RestProcessModel in org.alfresco.rest.requests.workflowAPI
Methods in org.alfresco.rest.requests.workflowAPI that return RestProcessModel Modifier and Type Method Description RestProcessModelRestWorkflowAPI. addProcess(java.lang.String processDefinitionKey, org.alfresco.utility.model.UserModel assignee, boolean sendEmailNotifications, org.alfresco.dataprep.CMISUtil.Priority priority)Provides DSL on all REST calls under/processes/{processId}/...API pathRestProcessModelRestWorkflowAPI. addProcessWithBody(javax.json.JsonObject postBody)Provides DSL on all REST calls under/processes/{processId}/...API path
-